void main( void )
{
 int &say;
 //playsound("cry.wav");
 &say = random(4,1);
 if (&say == 1)
 {
 say_stop("`3是你啊，丁克..", &current_sprite);
 wait(250);
 }
}

void talk( void )
{
 freeze(1);
 freeze(&current_sprite);
 choice_start()
 (&mlibby == 0) "引诱她"
 "安慰她"
(&farmer_quest == 2)"告诉她你如何清理了她家的农场"
 "没什么"
 choice_end()
 wait(300);
  if (&result == 1)
  {
	  say_stop("Libby, 怎么了啊？很伤心的样子。", 1);
	  say_stop("`3没什么丁克，你不会懂的。", &current_sprite);
	  wait(250);
	  if (&gossip == 0)
	  {
		  unfreeze(1);
		  unfreeze(&current_sprite);
		  return;
	  }
         &mlibby = 1;
	  say_stop("是你父亲吧？他对你干什么了？", 1);
	  wait(250);
	  say_stop("`3哪泥？你说什么呢？", &current_sprite);
	  say_stop("我听说了那些....谣言。 Libby，没关系的，尽管说吧。", 1);
	  wait(250);
	  say_stop("`3说什么啊？", &current_sprite);
	  say_stop("承认你父亲打你啊。", 1);
	  say_stop("`3傻瓜，他不打我的！！", &current_sprite);
	  say_stop("`3我哭是因为老爹不开心的原因。", &current_sprite);
	  wait(250);
	  say_stop("哦...原来如此。", 1);
          say_stop("`3<哭泣>", &current_sprite);
	  say_stop("你父亲是因为你无法满足他而烦心吗？", 1);
	  wait(250);
	  say_stop("`丁克！你在说什么哪？！", &current_sprite);
	  say_stop("`3只是因为今天是妈妈去世一年的纪念日....", &current_sprite);
	  wait(200);
	  say_stop("哦...啊..我..额..", 1);
	  wait(250);
	  say_stop("哦", 1);
	  wait(200);
	  choice_start()
 "尝试安慰她"
 "为刚刚的表现道歉"
      choice_end()
      wait(300);
	  if (&result == 1)
	  {
		  say_stop("呀，没想到是这样的，我能理解你的心情。", 1);
		  say_stop("就连我都觉得不舒服了。", 1);
		  say_stop("`3谢谢你，丁克，我感觉好些了。", &current_sprite);
                  unfreeze(1);
                  unfreeze(&current_sprite);
		  return;

	  }
	  if (&result == 2)
	  {
          say_stop("呀，真是对不起，居然说了这种话。真该打。", 1);
		  say_stop("以后不再听那八姑三婆瞎说了。", 1);
		  wait(250);
		  say_stop("额 .. 嘿嘿 ..嘿 ..", 1);
		  say_stop("<她好像不想理我了>", 1);
		  say_stop("哎..", 1);
          unfreeze(1);
          unfreeze(&current_sprite);
		  return;
	  }
  }
  if (&result == 2)
  {
	  say_stop("不要哭了 Libby。不管是什么事都会好的。", 1);
	  say_stop("有事不幸的事就是要发生，我们只能学会", 1);
          say_stop("如何应付，变得越来越坚强。", 1);
	  wait(250);
	  say_stop("`3嘿嘿，谢谢你，丁克。我明白了。", &current_sprite);
	  wait(250);
  }	  
  if (&result == 3)
  {
          say_stop("嘿嘿，有注意到你们家的农场消停不少吧？", 1);
	  wait(250);
	  say_stop("那可是我的功劳，嘿嘿。", 1);
          say_stop("`3不错嘛...", &current_sprite);
          say_stop("`3...和你平时比。", &current_sprite);
	  wait(250);
          say_stop("额..又被BS了...", 1);
          
  }
  if (&result == 4)
  {
          say_stop("哎，没事，我走了。", 1);
  }
  unfreeze(1);
  unfreeze(&current_sprite);
}

void hit( void )
{
 &say = random(6,1)
  if (&say == 1)
  {
   say_stop("其实我很舍不得打你的。", 1);
   return;
  }
 say_stop("`3丁克！你干嘛呢！！", &current_sprite);
}
